<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Arrays</title>
</head>
<script>

//1. Сделать собственные примеры методов применяемых для массивов.
  var fruits = ["Apple", "Pear", "Orange", "Banana", "Cherry", "Melon", "Grape"];
//Метод join
  var changedArray  = fruits.join(" / ");
  document.write("Separator / was added to array Fruits:  " + "    " + changedArray + '</br>');
  

//Метод concat
  var vegetables = ["Potato", "Tomato", "Onion", "Pepper", "Carrot", "Cabbage", "Eggplant"];
  var mix = fruits.concat(vegetables).join(" / ");
  document.write("Vegetables was added to array Fruits: " + " " + mix + '</br>');
  
//Метод reverce
  vegetables = vegetables.reverse().join(" / ");
  document.write("Its reverce array: " + " " + vegetables + '</br>');
 

//Метод slice
  fruits = fruits.slice(0,3);
  document.write("This is a small piece of previous array" + " " + fruits + '</br>');
  

  var fruits = ["Apple", "Pear", "Orange", "Banana", "Cherry", "Melon", "Grape"];
  fruits = fruits.slice(3, -1).join(" / ");
  document.write("This is also small piece of previous array" + " " + fruits + '</br>');
  
//Метод splice
 
  var vegetables = ["Potato", "Tomato", "Onion", "Pepper", "Carrot", "Cabbage", "Eggplant"];
  var del = vegetables.splice(0,3);
  document.write("This vegetables was deleted from Vegetables array - " + del + '</br>');
  
  vegetables.splice(1, 0, "Corn", "Wheat", "Soy");
  document.write( "This is method, how to add something to array from definite point, without removing - " + "  " + vegetables + '</br>');

  //Метод sort
  vegetables.sort();
  document.write("Sorted array -" + " " + vegetables + '</br>');


  //Метод push
  vegetables.push("Pumpkin");
  document.write("Pumking was added to the end of array" +" "+vegetables + '</br>');

 //Метод pop
 vegetables.pop();
 document.write("Pumpkin was delete from the end of array" +" "+vegetables + '</br>');



  //Задание 3.
  //Определить элементы массива и вывести их значения, индексы которых лежит в указанном пределе. 
  //Предел вводит пользователь.

  var array = [1, 4, 56, 23, 8, 99, 65, 101];
  var initialIndex = +prompt("Input first index");
  var lastIndext = +prompt("Input last index");
  var userArray = array.slice(initialIndex, lastIndext+1);
    document.write(userArray + '</br>');

//Задание 4.
//Отсортировать массив на 10 чисел в порядке возростания. 
//Значения принимаются от пользователя. Сортировка осушествляется методом sort().
var arrayFromKeybord = new Array();
for (i = 0; i < 10; i++ ){
arrayFromKeybord[i] = +prompt ("Input number");
}
document.write ("Your array is:" + " " + arrayFromKeybord + '</br>');
arrayFromKeybord.sort();
document.write ("Sorted array is:" + " " + arrayFromKeybord + '</br>');

// Задание 5.
// Создать программу, выполняющую вставку элемента в массив после элемента, значение которого укажет пользователь.
var myAnimals = ["cat", "dog", "parrot", "fish", "horse"];
document.write(myAnimals + '</br>');
var userInput = +prompt("Input index in array");
var userAnimal = prompt ("Input your favorite animal");
 myAnimals.splice((userInput+1), 0, userAnimal);
document.write(myAnimals + '</br>');

// Задание 6.
//Необходимо получить предпоследний элемент из массива month и вывести его на экран. 
var month = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
//метод 1
var last;
for(i=0; i < month.length; i++){
  last = month[month.length-2];
}
document.write("Penultimate month is " + " " + last + '</br>');
//метод 2
//month.slice(-2, -1);
document.write("Penultimate month is " + " " + (month.slice(-2, -1)) + '</br>');
// метод 3
var p = month.at(-2);
document.write("Penultimate month is " + " " + p + '</br>');

// Задание 7.
//Создать два произвольных массива: один массив - любимая спортивная команда / модели автомобилей / города, во втором - количество игроков в команде 
// объем двигателя / количество жителей в городе. Объединить данные из двух массивов и вывести их в одну строку.

var cars = ["Infinity", "Mercedes", "Peugeot", "Honda"];
var engine = ["3.5", "2.2", "1.4", "2.0"];
document.write(cars + '</br>');
var inf = [];

for(i = 0; i < cars.length; i++){
   inf[i]= (`${cars[i]} - ${engine[i]}`);
 };

document.write((inf.join(" - ")) + '</br>');



</script>
<body>
  
</body>
</html> 
 